using AntDesign;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;

namespace wispro.sp.web.Components
{
    public partial class WatingDownload
    {
        private share.FileProcessTask processTask;
        private IFeedbackRef feedbackRef;

        protected override  Task OnInitializedAsync()
        {
            processTask = base.Options ?? new share.FileProcessTask();
            base.OnInitialized();
            feedbackRef = base.FeedbackRef;
            return base.OnInitializedAsync();
        }

        string _ErrorMessage;

        private async void OnFinish()
        {
            await base.OnFeedbackOkAsync(new ModalClosingEventArgs() { Cancel = true });
        }

        private void OnCancel()
        {
            base.OnFeedbackCancelAsync(new ModalClosingEventArgs() { Cancel = true });
            //_ = feedbackRef.CloseAsync();
        }
    }
}
